package de.hawhamburg.reachability.properties.json;

import de.hawhamburg.lifecycle.data.JsonLPObject;
import de.hawhamburg.reachability.conf.enumeration.ConfigType;

/**
 * Properties request JSON message object.<br><br>
 * 
 * This class represents the structure of the JSON messages which describes the properties request related to this 
 * reachability agent. This messages will provide the ability to request the current values of certain configuration 
 * parameters.
 * 
 * @author  {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_AUTHOR} 
 * @version {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_VERSION}
 */
public class JsonRAPropertiesRequest extends JsonLPObject {
    
    /**
     * The general type of the requested properties (e.g. SYSTEM or REASONER).
     */
    public ConfigType Type;
    
    /**
     * The name of the property which shall be requested. '*ALL' remains as place-holder for all properties of this 
     * type.
     */
    public String Property;
    
    /**
     * Public default constructor to create instances of this class.
     */
    public JsonRAPropertiesRequest() { }
}
